EDIT - feature request #7660

Indicate the row state in a NAT table via symbols
08/17/2018 10:46 AM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.4

Severity: normal

Description

This is needed for e.g. indicating that a row is a candidate for deduplication. For further discussion see #7518.

Also adapt symbol for deduplication target if possible.

Related issues:
Copied from EDIT - feature request #7518: remaining issues for usage of NatTa... Closed

Copied to EDIT - feature request #7847: Use separate column for row state ins... Closed

Associated revisions

Revision 1f677abd - 10/04/2018 09:45 AM - Patrick Plitzner
fix #7660 Add icons to bulk editor for deduplication target/candidate

History

#1 - 08/17/2018 10:46 AM - Andreas Miiller

- Copied from feature request #7518: remaining issues for usage of NatTable for bulkeditor added

#2 - 08/17/2018 10:46 AM - Andreas Mdiller

- Target version changed from Unassigned CDM tickets to Release 5.3

#3 - 09/06/2018 11:16 AM - Patrick Plitzner

- Target version changed from Release 5.3 to Release 5.4

#4 - 10/04/2018 09:45 AM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|1{677abd3ea026eab1835f317828d8be5ad6bd65.

#5 - 10/04/2018 09:45 AM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

#6 - 10/17/2018 10:46 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

This is generally fixed and can be closed. But there are 2 open issues.

e The symbol for "set target" is blue and grey and therefore difficult to see when the line has the focus. But we have the symbol for this reason. So
maybe there is a better symbol. The red cross "duplicate candidate" symbol is much better in these terms.

e The symbol is attached to a fixed column. If the order of the columns is changed by the user it might become "invisible". So maybe it is still a
good idea to have the symbols in a separate column which preferably is fixed at position 1 if possible and is only for symbols related to the whole
line/record.

#7 - 10/19/2018 03:05 PM - Patrick Plitzner

- Target version changed from Release 5.4 to Release 5.5
https://dev.e-taxonomy.eu/redmine/issues/7518
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/1f677abd3ea026eab1835f317828d8be5ad6bd65

#8 - 10/23/2018 02:56 PM - Andreas Miiller

- Subject changed from Check if a separate column can be used to indicate the row state in a NAT table to Indicate the row state in a NAT table via
symbols

- Status changed from Feedback to Closed
- Target version changed from Release 5.5 to Release 5.4

- % Done changed from 50 to 100

The row state is now indicated via symbol in title cache column. As described above a separate column would improve this. Copied this subtask to
new ticket #7847.

Rename ticket to indicate what has been done until now.

#9 - 10/23/2018 02:58 PM - Andreas Miuller

- Description updated

#10 - 10/24/2018 09:20 AM - Andreas Miiller

- Related to feature request #7847: Use separate column for row state instead of symbol in titleCache column added

#11 - 10/24/2018 09:20 AM - Andreas Miiller

- Related to deleted (feature request #7847: Use separate column for row state instead of symbol in titteCache column)

#12 - 10/24/2018 09:20 AM - Andreas Miiller

- Copied to feature request #7847: Use separate column for row state instead of symbol in titleCache column added
